@echo off
if "%OS%" == "Windows_NT" setlocal

rem Starts up JobServer container

if "%JOBSERVER_HOME%" == "" goto guessIt
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set dumby=""
rem Even though it is set and not correct try to guess
:guessIt
set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto  end

:okHome
call "%JOBSERVER_HOME%\conf\system-config.bat"

if exist "%JAVA_HOME%\bin\java.exe" goto okExec
echo  The JAVA_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto  end

:okExec

for /F "usebackq" %%i IN (`hostname`) DO set jshost=%%i
set JS_SERVER_HOSTNAME=%jshost%
if "%JOBSERVER_HOSTNAME%" == "" goto stepLocalhost
set JS_SERVER_HOSTNAME=%JOBSERVER_HOSTNAME%
:stepLocalhost

if "webletModeOnly" == "true" goto end
if "%dbHost%" == "" goto :startJS
if "%primarySchedServer%" == "" goto startJS
if "%primarySchedServer%" == "%JS_SERVER_HOSTNAME%" goto startJS
if "%secondarySchedServer%" == "%JS_SERVER_HOSTNAME%" goto startJS
goto end
:startJS

cd /D "%JOBSERVER_HOME%"
set JOBSERVER_HOME=%CD%

set JSLIB=sys\lib
set COMMONLIB=common-lib\workflow

set CAT_VAR=""
FOR %%f IN (%JSLIB%\jscore\*.jar) DO call "bin\toolbin\parsecmd.bat" %%f
FOR %%f IN (%JSLIB%\jsthird\*.jar) DO call "bin\toolbin\parsecmd.bat" %%f
FOR %%f IN (%JSLIB%\endorsed\*.jar) DO call "bin\toolbin\parsecmd.bat" %%f
FOR %%f IN (%COMMONLIB%\*.jar) DO call "bin\toolbin\parsecmd.bat" %%f
set CLASSPATH=%CAT_VAR%

set WEB_APP=NO
if NOT "%1" == "-web" goto skipme1
set WEB_APP=YES
:skipme1

set DEFINES2=-Djs.webServerHttpPort=%webServerHttpPort%
set DEFINES2=%DEFINES2% -Djs.ldapAuth=%ldapAuth%
set DEFINES2=%DEFINES2% -Djs.clearPW=%clearPW%
set DEFINES2=%DEFINES2% -Djs.agentPort=%agentPort%
set DEFINES2=%DEFINES2% -Djs.webServerShutdownPort=%webServerShutdownPort%
set DEFINES2=%DEFINES2% -Djs.soapPort=%soapPort%
set DEFINES2=%DEFINES2% -Djs.useMule=%useMule%
set DEFINES2=%DEFINES2% -Djs.containerRemotePort=%containerRemotePort%
set DEFINES2=%DEFINES2% -Djs.containerStartupMode=%containerStartupMode%
set DEFINES2=%DEFINES2% -Djs.dbDriverType=%dbDriverType%
set DEFINES2=%DEFINES2% -Djs.dbPort=%dbPort%
set DEFINES2=%DEFINES2% -Djs.dbHost=%dbHost%
set DEFINES2=%DEFINES2% -Djs.dbName=%dbName%
set DEFINES2=%DEFINES2% -Djs.dbCustomJDBCURL=%dbCustomJDBC%
set DEFINES2=%DEFINES2% -Djs.dbUsername=%dbUsername%
set DEFINES2=%DEFINES2% -Djs.dbPassword=%dbPassword%
set DEFINES2=%DEFINES2% -Djs.dbSchemaName=%dbSchemaName%
set DEFINES2=%DEFINES2% -Djs.maxPoolSize=%maxPoolSize%
set DEFINES2=%DEFINES2% -Djs.holdPoolSize=%holdPoolSize%
set DEFINES2=%DEFINES2% -Djs.initPoolSize=%initPoolSize%
set DEFINES2=%DEFINES2% -Djs.servletMaxPoolSize=%servletMaxPoolSize%
set DEFINES2=%DEFINES2% -Djs.servletHoldPoolSize=%servletHoldPoolSize%
set DEFINES2=%DEFINES2% -Djs.servletInitPoolSize=%servletInitPoolSize%
set DEFINES2=%DEFINES2% -Djs.debug=%debug%
set DEFINES2=%DEFINES2% -Djs.debugLevel=%debugLevel%
set DEFINES2=%DEFINES2% -Djs.debugClasses=%debugClasses%
set DEFINES2=%DEFINES2% -Djs.jsInstanceVersion=%jsInstanceVersion%
set DEFINES2=%DEFINES2% -Djs.useSSL=%useSSL%
set DEFINES2=%DEFINES2% -Djs.serverHostname=%JS_SERVER_HOSTNAME%
set DEFINES2=%DEFINES2% -Djs.primarySchedServer=%primarySchedServer%
set DEFINES2=%DEFINES2% -Djs.secondarySchedServer=%secondarySchedServer%
set DEFINES2=%DEFINES2% -Djs.webletModeOnly=%webletModeOnly%
set DEFINES2=%DEFINES2% -Djs.webappLaunch=%WEB_APP%

set DEFINES1=%containerJvmOptions%
set DEFINES1=%DEFINES1% -Djava.rmi.server.useCodebaseOnly=true
set DEFINES1=%DEFINES1% -Djava.rmi.server.hostname=%JS_SERVER_HOSTNAME%
set DEFINES1=%DEFINES1% -DEJS_HOME="%JOBSERVER_HOME%"
set DEFINES1=%DEFINES1% -Dmule.home="%JOBSERVER_HOME%\EJS-DATA\startup-log\%JS_SERVER_HOSTNAME%"
set DEFINES1=%DEFINES1% -Dmule.working.dir="%JOBSERVER_HOME%\EJS-DATA\startup-log\%JS_SERVER_HOSTNAME%\.mule"

set DEFINES1=%DEFINES1% -Djava.security.policy="%JOBSERVER_HOME%\conf\jobserver.policy"
set DEFINES1=%DEFINES1% -Djava.security.manager
set DEFINES1=%DEFINES1% -Djava.util.logging.config.file="%JOBSERVER_HOME%\conf\logging.properties"
rem set DEFINES1=%DEFINES1% -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl
set DEFINES1=%DEFINES1% -Djava.endorsed.dirs=%JSLIB%\endorsed
set DEFINES1=%DEFINES1% -Dsun.rmi.dgc.server.gcInterval=0x7FFFFFFFFFFFFFFE
set DEFINES1=%DEFINES1% -Dsun.rmi.dgc.client.gcInterval=0x7FFFFFFFFFFFFFFE

rem echo %DEFINES%
rem echo %DEBUG_MODE%

if "%1" == "-web" goto backgroundit
set _EXECJAVA=%JAVA_HOME%\bin\java.exe

rem check if server is running or not
call "%JOBSERVER_HOME%\bin\jsmonitor" -ping > nul
set ENVCHECK=%ERRORLEVEL%

if "%ENVCHECK%" == "1" goto startContainer
echo  JobServer Container - Already Running
goto end

:startContainer

if "%BACKGROUND%" == "true" goto backgroundit
set _EXECJAVA=%JAVA_HOME%\bin\java.exe

goto execLabel
:backgroundit
set _EXECJAVA=%JAVA_HOME%\bin\javaw.exe

:execLabel
IF NOT EXIST "%JOBSERVER_HOME%\EJS-DATA\startup-log\%JS_SERVER_HOSTNAME%\NUL" GOTO execStart
mkdir "%JOBSERVER_HOME%\EJS-DATA\startup-log\%JS_SERVER_HOSTNAME%"
:execStart
start "JobServer Container" "%_EXECJAVA%" %DEFINES1% %DEFINES2% -cp %CLASSPATH% surda.jobserver.client.JSStarterClient 2>&1 "%JOBSERVER_HOME%\EJS-DATA\startup-log\%JS_SERVER_HOSTNAME%\startup-log.txt"

if "%1" == "-web" goto end

call "%JOBSERVER_HOME%\bin\toolbin\sleep.exe" 3
rem check if server is running or not
call "%JOBSERVER_HOME%\bin\jsmonitor" -ping > nul
set ENVCHECK=%ERRORLEVEL%
if "%ENVCHECK%" == "1" goto jsmonitorFail
set dumby=""
goto jsmonitorOK

:jsmonitorFail
echo  WARNING: JobServer Container FAILED to Initialize
goto end
   
:jsmonitorOK
echo  JobServer Container Initialized

:end
  
