/*
 * This file is part of the SOAFaces Project (hereinafter "SOAFaces").
 * Copyright (C) 2006 Grand Logic, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */


package org.soafaces.bundle.client.rpc.impl;

import com.google.gwt.user.client.rpc.IsSerializable;
import org.soafaces.bundle.client.rpc.FetchPOJOCallback;

/**
 *
 * @author Sam Taha
 */
public class ProxyPOJOAsyncCallback extends FetchPOJOCallback {

  private FetchPOJOCallback _oNestedCallback = null;
  private BundleDataAccess _oTbAccess = null;
  
  private ProxyPOJOAsyncCallback() {}
  
  public ProxyPOJOAsyncCallback(FetchPOJOCallback nestedCallback, BundleDataAccess tbAccess) 
  {
    _oNestedCallback = nestedCallback;
    _oTbAccess = tbAccess;
  }

  final public void onFetchPOJOSuccess(IsSerializable result)
  {
    _oTbAccess.attachedInputBeanPOJO(result);
    _oNestedCallback.onFetchPOJOSuccess(result);
  }
  
  final public void onFailure(Throwable ex)
  {
    _oNestedCallback.onFailure(ex);
  }
}
